summaryrefslogtreecommitdiffstats
path: root/next/bin/deploy
diff options
context:
space:
mode:
authortv <tv@shackspace.de>2015-05-21 22:33:16 +0200
committertv <tv@shackspace.de>2015-05-21 22:33:16 +0200
commitac764394050f6fc39e406799085259d3fc08956a (patch)
treec5deade7085a8e63ef36a72afea58e09593c096a /next/bin/deploy
parentb27ec1aafa813740941d9194f1e7e113d5de8244 (diff)
next: initial commit
Diffstat (limited to 'next/bin/deploy')
-rwxr-xr-xnext/bin/deploy16
1 files changed, 16 insertions, 0 deletions
diff --git a/next/bin/deploy b/next/bin/deploy
new file mode 100755
index 000000000..1c1d977da
--- /dev/null
+++ b/next/bin/deploy
@@ -0,0 +1,16 @@
+#! /bin/sh
+#
+# deploy
+#
+set -euf
+
+host=$1
+system=${2-$(build "$host")}
+
+target=root@$host
+
+nix-copy-closure --gzip --to "$target" "$system"
+
+copy-secrets "$host"
+
+ssh ${NIX_SSHOPTS-} "$target" "$system/bin/switch-to-configuration" switch